gnutls_record_send(3)

NAME
gnutls_record_send

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_send(gnutls_session_t session, const void * data, size_t sizeofdata);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const void * data
    contains the data to send

size_t sizeofdata
    is the length of the data

DESCRIPTION
This function has the similar semantics with send() difference is that is accepts a GNUTLS session, and uses different error codes. If the EINTR is returned by the internal push function (the default is send() } then GNUTLS_E_INTERRUPTED will be returned. If GNUTLS_E_INTERRUPTED or GNUTLS_E_AGAIN is returned, you must call this function again, with the same parameters; alternatively you could provide a NULL pointer for data, and 0 for size. cf. gnutls_record_get_direction() Returns the number of bytes sent, or a negative error code. The number of bytes sent might be less than sizeofdata. The maximum number of bytes this function can send in a single call depends on the negotiated maximum record size.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.